Jump to content
COMBATSIM Forum

Recommended Posts

Just got a new system. Want to try it out but I am having a hard time installing and running IL2 and all the updates.

Any suggestions?

I am running the 64bit version.

I would like to install Flaiming Cliffs but I cannot find my LOCKON cd. Just ordered another one. It will probably give me trouble too.

SMP

Link to post
Share on other sites

Hi, I just got IL-2 with mods working on Windows 7 pro, 64bit last night.

I installed the "direct to drive" Ubisoft downloaded version of IL-2 1946 into "program files (x86)" while using my account with administrator level access. It actually worked just fine with no compatibility mode stuff.

I patched it to 4.09 and it still worked fine

I installed some mods. Broke it.

I reinstalled it the same as before but this time I turned the security notification settings to do with program access to the minimum.

worked fine.

This time I did NOT patch it. Default is 4.08m before the patch.

Then I installed the mods. This time it works.

Windows 7 seems to lock out some ability to user modify the program files directories. BTW (x86) is for the 32 bit programs. I will probably turn the security back up later but try it like this for now. Before doing this I could not edit and save my config.ini file. Now I can.

Good luck. Please post back so I can see how you did, maybe I can help some more. :popcornsmilie:

Link to post
Share on other sites

Like Vista, Win7 gives the "Program Files" folders protected status, and tends to drop any changes into ProgramData. This wreaks havoc on games designed for XP.

Your best bet is to install your games to a folder such as "C:\games", or avoid the C drive altogether.

Link to post
Share on other sites

I think I may have just caused my problems by patching to 4.09 and then modding. The mod that I applied was meant to go on top of 4.08m and perhaps this was the problem.

I did have an unrelated but just as serious issue that was preventing me from editing my config.ini file. This is what homefries is talking about. It just would not allow it. This is when I reduced my UAC level to the minimum and now it acts like XP.

Link to post
Share on other sites

I think I may have just caused my problems by patching to 4.09 and then modding. The mod that I applied was meant to go on top of 4.08m and perhaps this was the problem.

I did have an unrelated but just as serious issue that was preventing me from editing my config.ini file. This is what homefries is talking about. It just would not allow it. This is when I reduced my UAC level to the minimum and now it acts like XP.

Despite all of the inconvenience, UAC is actually a good thing. I wouldn't set it below the medium setting.

Best bet really is the non-Program Files folder. If nothing else, it eliminates one troubleshooting variable.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...